# Update GitMetadata for Remote Entities

Update GitMetadata for Remote Entities

Endpoint: PUT /v1/entities/git-metadata/{scope}/{kind}/{identifier}
Version: 1.0
Security: x-api-key

## Query parameters:

  - `orgIdentifier` (string)
    Unique identifier of the organization within the account

  - `projectIdentifier` (string)
    Unique identifier of the project within the organization

## Path parameters:

  - `scope` (string, required)
    Scope of the entity (account, account.orgId, account.orgId.projectId)

  - `kind` (string, required)
    Kind of the entity (e.g., component, api, resource, user, workflow)

  - `identifier` (string, required)
    Unique identifier of the entity within its scope and kind

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

## Request fields (application/json):

  - `connector_ref` (string)
    Harness connector id used for entity CRUD operations

  - `repo_name` (string)
    Name of the repository.

  - `file_path` (string)
    File path of the entity in the repository.

  - `branch_name` (string)
    Name of the branch.

## Response 200 fields (application/json):

  - `status` (string, required)


